# Auro Wallet Docs

## Auro Wallet Docs

- [Getting Started](https://docs.aurowallet.com/general/readme.md): Welcome to the Auro Wallet documentation!
- [How to integrate](https://docs.aurowallet.com/general/howto.md): Here are some scenarios, you can find demo of use here.
- [Connect Wallet](https://docs.aurowallet.com/general/howto/connect-wallet.md): Scenarios for connect wallets and request accounts.
- [Add or Switch Chain](https://docs.aurowallet.com/general/howto/add-or-switch-chain.md): Scenarios for interact chain with Auro Wallet.
- [Create Nullifier](https://docs.aurowallet.com/general/howto/create-nullifier.md): Mainly used to create nullifier.
- [Send Transaction](https://docs.aurowallet.com/general/howto/send-transaction.md): This scenario is mainly used to handle common methods, such as send payment and stake delegation.
- [Send zk Transaction](https://docs.aurowallet.com/general/howto/send-zk-transaction.md): This scenario is mainly used to create zk-contract or update zk-contracts.
- [Sign Message](https://docs.aurowallet.com/general/howto/sign-message.md): This scenario is mainly used to sign information. that can be used for login verification.
- [VerifyMessage in server-side](https://docs.aurowallet.com/general/howto/verifymessage-in-server-side.md): This scenario mainly explains how the server-side verify the result of the signMessage. Fields verification can also be implemented using mina-signer. Only signMessage examples are provided here.
- [Anonymous Credentials](https://docs.aurowallet.com/general/howto/anonymous-credentials.md): This scenario is mainly used to handle the store credentials and verifying presentations.
- [Wallet Basics](https://docs.aurowallet.com/general/wallet-basics.md)
- [Submit token info](https://docs.aurowallet.com/general/wallet-basics/submit-token-info.md): Auro Wallet will support the transfer of token assets submitted by default.
- [Mina Providers](https://docs.aurowallet.com/general/wallet-basics/mina-providers.md): Starting from Auro Extension 2.3.0 and Auro App 2.1.0, Auro Wallet introduces a new method to use providers, called "Announce Provider," which supports multiple providers.
- [Auro Mobile](https://docs.aurowallet.com/general/auro-mobile.md)
- [Use with WalletConnect](https://docs.aurowallet.com/general/auro-mobile/use-with-walletconnect.md): Auro Mobile supports WalletConnect, allowing seamless integration of zkApp with Auro Mobile with QR code scanning or deep linking.
- [​Pull Up Auro Wallet with DeepLink](https://docs.aurowallet.com/general/auro-mobile/pull-up-auro-wallet-with-deeplink.md): This document describes how to use a deep link to open the Auro Mobile Wallet and launch a zkApp within the App. This feature is supported starting from Auro Mobile Wallet version 2.1.0.
- [API Reference](https://docs.aurowallet.com/general/reference/api-reference.md)
- [Methods](https://docs.aurowallet.com/general/reference/api-reference/methods.md)
- [mina\_accounts](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_accounts.md): This method is used to request the current connected account. It is a silent request. If there is a connected account, it will return the connected account. If not, it will return an empty array.
- [mina\_requestAccounts](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_requestaccounts.md): This method is used to request the current connect account. If there is a connected account, the connected account will be returned. If not, a popup window will show to request a connection.
- [mina\_requestNetwork](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_requestnetwork.md): This method is used to request the chain info of the Auro wallet.
- [mina\_sendPayment](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_sendpayment.md): This method is used to call  Auro Wallet send payment (current support send MINA ) by zkApp.
- [mina\_sendStakeDelegation](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_sendstakedelegation.md): This method is used by zkApp to call Auro Wallet stake delegation.
- [mina\_sendTransaction](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_sendtransaction.md): This method is used for sign and broadcast zkApp transaction.
- [mina\_addChain](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_addchain.md): This method is used to add a custom chain to Auro Wallet.
- [mina\_switchChain](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_switchchain.md): This method is used to switch chain of Auro Wallet by chainId.
- [mina\_createNullifier](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_createnullifier.md): Mainly used to create nullifiers.
- [mina\_signMessage](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_signmessage.md): This method is used to sign message.
- [mina\_sign\_JsonMessage](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_sign_jsonmessage.md): This method is used to sign Json message.
- [mina\_verifyMessage](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_verifymessage.md): This method is used to verify the validity of the signature info.
- [mina\_signFields](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_signfields.md): This method is used to sign the field.
- [mina\_verifyFields](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_verifyfields.md): This method is used to verify the signature results of fields.
- [mina\_storePrivateCredential](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_storeprivatecredential.md): This method is used to store private credentials.
- [mina\_requestPresentation](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_requestpresentation.md): This method is used to verify presentation.
- [Events](https://docs.aurowallet.com/general/reference/api-reference/events.md): Here are the monitoring events of the provider. There are currently two types of events, account update and chain update.
- [Error](https://docs.aurowallet.com/general/reference/api-reference/error.md): Here is the error message returned by Auro Wallet.
- [Source](https://docs.aurowallet.com/general/reference/api-reference/source.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.aurowallet.com/general/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
